﻿//Copyright (C) Microsoft Corporation.  All rights reserved.

// XMLsample.cs
// compile with: /doc:XMLsample.xml
//or you can set this atribute in project properties
//use NDoc utility to generate html help files or apply xslt transformation template
using System;

/// <summary>
/// Class level summary documentation goes here.
/// </summary>
/// <remarks>
/// Longer comments can be associated with a type or member
/// through the remarks tag</remarks>
public class SomeClass
{
   /// <summary>
   /// Store for the name property</summary>
   private string myName = null;

   /// <summary>
   /// The class constructor. </summary>
   public SomeClass()
   {
       // TODO: Add Constructor Logic here
   }
   
  /// <summary>
  ///  dfgs dfgsdfg
  /// </summary>
   public string Name
   {
      get 
      {
         if ( myName == null )
         {
            throw new Exception("Name is null");
         }
             
         return myName;
      }
   }

   /// <summary>
   /// Description for SomeMethod.</summary>
   /// <param name="s"> Parameter description for s goes here</param>
   /// <seealso cref="String">
   /// You can use the cref attribute on any tag to reference a type or member 
   /// and the compiler will check that the reference exists. </seealso>
   public void SomeMethod(string s)
   {
   }

   /// <summary>
   /// Some other method. </summary>
   /// <returns>
   /// Return results are described through the returns tag.</returns>
   /// <seealso cref="SomeMethod(string)">
   /// Notice the use of the cref attribute to reference a specific method </seealso>
   public int SomeOtherMethod()
   {
      return 0;
   }

   /// <summary>
   /// The entry point for the application.
   /// </summary>
   /// <param name="args"> A list of command line arguments</param>
   public static int Main(String[] args)
   {
       return 0;
   }


   /// <summary>
   /// Loads the property from XML.
   /// </summary>
   /// <param name="a">A.</param>
   /// <param name="b">The b.</param>
   /// <returns>allways empty string</returns>
    public static string LoadPropertyFromXML(int a, double b)
    {
      return "";
    }
}

