using System;
using System.Collections.Generic;
using System.Text;
using System.Threading;

namespace garbageCol
{
  /// <summary>
  /// 01 - Garbage collector
  /// - Garbage collector cleans up memory, and normaly you dont have control when he does it.
  /// - Never mind, if String defined inside cycle or not, string is allways read only,
  /// each new cycle iteration creates new string.
  /// - Class System.GC you can use to control Garbage collector manualy
  /// </summary>
  class garbbage
  {
    static void Main(string[] args)
    {
      int i = 0;
      while (i < 1000000)
      {
        string j = Convert.ToDouble(i).ToString();
        i++;
        if (i % 5000 == 0)
        {
          //Console.Write("");
          Console.WriteLine("{0} used memory:{1}", i.ToString(), System.GC.GetTotalMemory(false).ToString());
          Thread.Sleep(1000);
          Console.Clear();
          System.GC.Collect();//comment this line to see normaly used memory
          //uncomment this line to see memory usage
        }
      
      }
    }
  }
}
